%define		module gd
Summary:	Python interface to GD library
Summary(pl.UTF-8):	Interfejs do biblioteki GD dla Pythona
Name:		python-%{module}
Version:	0.56
Release:	10
Epoch:		1
License:	BSD-like
Group:		Development/Languages/Python
# Source0Download: http://newcenturycomputers.net/projects/gdmodule.html
Source0:	http://newcenturycomputers.net/projects/download.cgi/gdmodule-%{version}.tar.gz
# Source0-md5:	6a6db28a089d4caf5a921cd266a62b3d
Patch0:		%{name}-lib64.patch
Patch1:		%{name}-libx32.patch
URL:		http://newcenturycomputers.net/projects/gdmodule.html
BuildRequires:	gd-devel >= 2.0.23
BuildRequires:	python-devel >= 1.5
BuildRequires:	python-modules >= 1.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GD module is an interface to the GD library written by Thomas
Bouttel.

It allows your code to quickly draw images complete with lines,
arcs, text, multiple colors, cut and paste from other images,
and flood fills, and write out the result as a PNG or JPEG file.
This is particularly useful in World Wide Web applications,
where PNG and JPEG are two of the formats accepted for inline
images by most browsers.

It has been extended in some ways from the original GD library.

%description -l pl.UTF-8
Moduł GD jest interfejsem do biblioteki GD autorstwa Thomasa
Bouttela.

Moduł pozwala na szybkie rysowanie obrazów składających się z
linii, łuków, tekstu, różnych kolorów, fragmentów innych obrazków,
czy wypełnień. Wyprodukowany obrazek jest zapisywany do pliku PNG
lub JPEG. Jest to szczególnie przydatne w aplikacjach WWW, gdzie
PNG i JPEG są dwoma formatami obrazów składowych akceptowanymi
przez większość przeglądarek.

Moduł został również rozszerzony w kilku miejscach w stosunku do
oryginalnej biblioteki GD.

%prep
%setup -q -n gdmodule-%{version}
%if "%{_lib}" == "lib64"
%patch0 -p1
%endif
%if "%{_lib}" == "libx32"
%patch1 -p1
%endif

%{__mv} Setup.py setup.py

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README gd-ref.html
%{py_sitedir}/gd.py[co]
%attr(755,root,root) %{py_sitedir}/_gd.so
%{py_sitedir}/gdmodule-%{version}-py*.egg-info
%changelog
* Sat May 07 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-gd.git;a=log;h=master

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 0aa205b
- fix building on x32
- rel 10

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> c2bfaad
- use rpm python macros
- updated files
- rel 9

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e8e5f77
- release 8 (by relup.sh)

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3977fcf
- release 7 (by relup.sh)

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9af6878
- release 6

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3efb45b
- release 5

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> 0688c23
- BR: rpm-pythonprov

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e8764b
- release 4

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 71dc9ef
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0301c30
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 14b5838
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f718100
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> fb72767
- orphaned, outdated

* Tue Apr 05 2005 Artur Frysiak <artur@frysiak.net> 42f5128
- source0 download URL

* Tue Apr 05 2005 Artur Frysiak <artur@frysiak.net> 5bc2a1c
- updated to 0.56 (with GIF support)

* Sat Dec 25 2004 saq <saq@pld-linux.org> 2bdb69a
- misdiffed

* Sat Dec 25 2004 saq <saq@pld-linux.org> f70cae7
- introducing lib64.patch
- release 3

* Sat Dec 25 2004 saq <saq@pld-linux.org> 999b951
- a standard lib64 fix

* Sat Dec 25 2004 saq <saq@pld-linux.org> 531f477
- release 2 for rebuild with python 2.4

* Sun Nov 14 2004 Michal Chruszcz <mchruszcz@gmail.com> 3779ad2
- updated to 0.53

